export default interface RangeeOptions {
    document: Document;
}
export default class Rangee {
    options: Readonly<RangeeOptions>;
    private serializationCallback;
    private compressionCallback;
    constructor(options: RangeeOptions);
    onSerialization: (callback: (serialized: string) => void) => (serialized: string) => void;
    onCompression: (callback: (compressed: Uint8Array) => void) => (compressed: Uint8Array) => void;
    serializeAtomic: (range: Range) => string;
    deserilaizeAtomic: (representation: string) => Range[];
    serialize: (range: Range) => string;
    deserialize: (serialized: string) => Range;
    createAtomicRanges: (range: Range) => Range[];
}
export * from './HtmlElementSelectorGenerator';
export * from './HtmlElementSelectorResult';
export * from './RangeCompressor';
export * from './RangeEncoder';
export * from './RangeSerialized';
export * from './RangeSerializer';
